Bug 971301 - tycho: Always tries to resolve all build plugins
tycho: Always tries to resolve all build plugins
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tycho (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Roland Grunberg
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 04:57 EDT by Mikolaj Izdebski
Modified: 2013-06-14 23:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: tycho-0.18.0-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-14 23:07:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (1.78 KB, patch)
2013-06-06 04:58 EDT, Mikolaj Izdebski
no flags Details | Diff

  None (edit)
Description Mikolaj Izdebski 2013-06-06 04:57:09 EDT
Description of problem:
Tycho always tries to resolve all build plugins, even if they are not needed during Maven lifecycle. This means that Tycho will try to resolve plugins like clean, deploy or site, which aren't normally used during package build.

The code that iterates over all plugins and tries to resolve them can be found in PluginRealmHelper.java

Version-Release number of selected component (if applicable):
tycho-0.18.0-1

As a workaround I suggest adding Requires on all plugins that are present in Maven super POM.
Comment 1 Mikolaj Izdebski 2013-06-06 04:58:18 EDT
Created attachment 757557 [details]
Proposed patch
Comment 2 Roland Grunberg 2013-06-06 09:48:21 EDT
This seems like the right thing to do. I'll apply this to rawhide and f19. Thanks again for the patch.
Comment 4 Fedora Update System 2013-06-06 11:51:50 EDT
tycho-0.18.0-2.fc19, tycho-extras-0.18.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-9757/tycho-0.18.0-2.fc19,tycho-extras-0.18.0-1.fc19
Comment 5 Fedora Update System 2013-06-07 11:39:23 EDT
Package tycho-0.18.0-2.fc19, tycho-extras-0.18.0-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tycho-0.18.0-2.fc19 tycho-extras-0.18.0-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9757/tycho-0.18.0-2.fc19,tycho-extras-0.18.0-1.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-06-14 23:07:59 EDT
tycho-0.18.0-2.fc19, tycho-extras-0.18.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.